Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QSystemLocale.QueryType

    java.lang.Object
      java.lang.Enum<QSystemLocale.QueryType>
          com.trolltech.qt.core.QSystemLocale.QueryType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSystemLocale.QueryType>

Enclosing class:
  QSystemLocale

    public static enum QSystemLocale.QueryType

extends java.lang.Enum<QSystemLocale.QueryType>
implements QtEnumerator

Specifies the type of information queried by `query`. For each value the type of information to return from the `query` method is listed.

Enum Constant Summary
`CountryId` a uint specifying the country.
`DateFormatLong` a `QString` specifying the long date format
`DateFormatShort` a `QString` specifying the short date format
`DateToStringLong` converts the `QDate` stored in the in variant to a `QString` using the long date format
`DateToStringShort` converts the `QDate` stored in the in variant to a `QString` using the short date format
`DayNameLong` a `QString` specifying the name of a weekday.
`DayNameShort` a `QString` specifying the short name of a weekday.
`DecimalPoint` a `QString` specifying the decimal point.
`GroupSeparator` a `QString` specifying the group separator.
`LanguageId` a uint specifying the language.
`MonthNameLong` a `QString` specifying the name of a month.
`MonthNameShort` a `QString` specifying the short name of a month.
`NegativeSign` a `QString` specifying the minus sign.
`TimeFormatLong` a `QString` specifying the long time format
`TimeFormatShort` a `QString` specifying the short time format
`TimeToStringLong` converts the `QTime` stored in the in variant to a `QString` using the long time format
`TimeToStringShort` converts the `QTime` stored in the in variant to a `QString` using the short time format
`ZeroDigit` a `QString` specifying the zero digit.

Method Summary
`static QSystemLocale.QueryType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSystemLocale.QueryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSystemLocale.QueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LanguageId

    public static final QSystemLocale.QueryType LanguageId

  a uint specifying the language.

### CountryId

    public static final QSystemLocale.QueryType CountryId

  a uint specifying the country.

### DecimalPoint

    public static final QSystemLocale.QueryType DecimalPoint

  a `QString` specifying the decimal point.

### GroupSeparator

    public static final QSystemLocale.QueryType GroupSeparator

  a `QString` specifying the group separator.

### ZeroDigit

    public static final QSystemLocale.QueryType ZeroDigit

  a `QString` specifying the zero digit.

### NegativeSign

    public static final QSystemLocale.QueryType NegativeSign

  a `QString` specifying the minus sign.

### DateFormatLong

    public static final QSystemLocale.QueryType DateFormatLong

  a `QString` specifying the long date format

### DateFormatShort

    public static final QSystemLocale.QueryType DateFormatShort

  a `QString` specifying the short date format

### TimeFormatLong

    public static final QSystemLocale.QueryType TimeFormatLong

  a `QString` specifying the long time format

### TimeFormatShort

    public static final QSystemLocale.QueryType TimeFormatShort

  a `QString` specifying the short time format

### DayNameLong

    public static final QSystemLocale.QueryType DayNameLong

  a `QString` specifying the name of a weekday. the in variant contains an integer between 1 and 7 (Monday - Friday)

### DayNameShort

    public static final QSystemLocale.QueryType DayNameShort

  a `QString` specifying the short name of a weekday. the in variant contains an integer between 1 and 7 (Monday - Friday)

### MonthNameLong

    public static final QSystemLocale.QueryType MonthNameLong

  a `QString` specifying the name of a month. the in variant contains an integer between 1 and 12

### MonthNameShort

    public static final QSystemLocale.QueryType MonthNameShort

  a `QString` specifying the short name of a month. the in variant contains an integer between 1 and 12

### DateToStringLong

    public static final QSystemLocale.QueryType DateToStringLong

  converts the `QDate` stored in the in variant to a `QString` using the long date format

### DateToStringShort

    public static final QSystemLocale.QueryType DateToStringShort

  converts the `QDate` stored in the in variant to a `QString` using the short date format

### TimeToStringLong

    public static final QSystemLocale.QueryType TimeToStringLong

  converts the `QTime` stored in the in variant to a `QString` using the long time format

### TimeToStringShort

    public static final QSystemLocale.QueryType TimeToStringShort

  converts the `QTime` stored in the in variant to a `QString` using the short time format

Method Detail

### values

    public static final QSystemLocale.QueryType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSystemLocale.QueryType c : QSystemLocale.QueryType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSystemLocale.QueryType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSystemLocale.QueryType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD